# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo
Interface PointData

All Known Subinterfaces:
  AlbumData, PhotoData

All Known Implementing Classes:
  AlbumDataImpl, AlbumEntry, AlbumFeed, PhotoDataImpl, PhotoEntry, PhotoFeed, PointDataImpl

    public interface PointData

Data interface for all geo-tagged extension points. This allows various entries and feeds to easily include a Point extension without dealing with the underlying implementation of the Point.

Method Summary
`void` `clearPoint()` Clears the point data and removes the extension point.
`Point` `getGeoLocation()` Gets the geo-location of the entity.
`void` `setGeoLocation(java.lang.Double lat, java.lang.Double lon)` Sets the geo-location of the entity based on the lat and long coordinates passed in.
`void` `setGeoLocation(Point point)` Sets the geo-location of the entity based on the Point extension.

Method Detail

### setGeoLocation

    void setGeoLocation(java.lang.Double lat,
                        java.lang.Double lon)
                        throws java.lang.IllegalArgumentException

  Sets the geo-location of the entity based on the lat and long coordinates passed in. This will create a new Point object if none exists, otherwise it will copy the new coordinates into the existing object.

  Parameters:
    `lat` - The latitude coordinate, between -90 and 90 degrees.
    `lon` - The longitude coordinate, between -180 and 180 degrees.
  Throws:
    `java.lang.IllegalArgumentException` - if the latitude and longitude coordinates are invalid.

### setGeoLocation

    void setGeoLocation(Point point)

  Sets the geo-location of the entity based on the Point extension. This will use the passed in extension as the geo location if none already exists, otherwise it will copy the given point's data into the existing point object.

  Parameters:
    `point` - A point containing the latitude and longitude coordinates.

### getGeoLocation

    Point getGeoLocation()

  Gets the geo-location of the entity.

  Returns:
    a Point that contains the geo-coordinates (latitude and longitude).

### clearPoint

    void clearPoint()

  Clears the point data and removes the extension point.